## keysafe 0.20170303

=== Makefile ===
# The install target will add this before all paths it writes to.
PREFIX?=

# Can be "stack" or "cabal", or "./Setup" to build and use Setup.hs 
BUILDER?=stack

# Options to pass to the BUILDER.
# Using -j1 may result in a reproducible build.
BUILDEROPTIONS?=

# Propigate flags through ghc to linker and compiler.
ghc_options=$(shell \
	for w in $(LDFLAGS); do \
	       printf -- "-optl%s\n" "$$w"; \
	done; \
	for w in $(CFLAGS); do \
	       printf -- "-optc%s\n" "$$w"; \
	done; \
	for w in $(CPPFLAGS); do \
	       printf -- "-optc-Wp,%s\n" "$$w"; \
	done; \
	)

build:
	rm -f keysafe
	$(MAKE) keysafe

keysafe:
	if [ "$(BUILDER)" = ./Setup ]; then ghc --make Setup; fi
	if [ "$(BUILDER)" = stack ]; then \
		$(BUILDER) build --ghc-options="$(ghc_options)" $(BUILDEROPTIONS); \
	else \
		$(BUILDER) configure --ghc-options="$(ghc_options)"; \
		$(BUILDER) build $(BUILDEROPTIONS); \
	fi
	if [ "$(BUILDER)" = stack ]; then \
		ln -sf $$(find .stack-work/ -name keysafe -type f | grep build/keysafe/keysafe | tail -n 1) keysafe; \
	else \
		ln -sf dist/build/keysafe/keysafe keysafe; \
	fi

clean:
	if [ "$(BUILDER)" != ./Setup ] && [ "$(BUILDER)" != cabal ]; then $(BUILDER) clean; fi
	rm -rf keysafe dist .stack-work Setup Setup.hi Setup.o

install: install-files
	useradd --system keysafe
	chmod 700 $(PREFIX)/var/lib/keysafe
	chown keysafe:keysafe $(PREFIX)/var/lib/keysafe

install-files: keysafe
	install -d $(PREFIX)/var/lib/keysafe
	install -d $(PREFIX)/usr/bin
	install -s -m 0755 keysafe $(PREFIX)/usr/bin/keysafe
	install -d $(PREFIX)/usr/share/man/man1
	install -m 0644 keysafe.1 $(PREFIX)/usr/share/man/man1/keysafe.1
	install -d $(PREFIX)/lib/systemd/system
	install -m 0644 keysafe.service $(PREFIX)/lib/systemd/system/keysafe.service
	install -d $(PREFIX)/etc/init.d
	install -m 0755 keysafe.init $(PREFIX)/etc/init.d/keysafe
	install -d $(PREFIX)/etc/default
	install -m 0644 keysafe.default $(PREFIX)/etc/default/keysafe
	install -d $(PREFIX)/usr/share/applications/
	install -m 0644 keysafe.desktop $(PREFIX)/usr/share/applications/keysafe.desktop
	install -d $(PREFIX)/etc/xdg/autostart/
	install -m 0644 keysafe.autostart $(PREFIX)/etc/xdg/autostart/keysafe.desktop

## keysafe 0.4.0.2

=== debian/changelog ===
keysafe (0.4.0.2-2) unstable; urgency=low

  * debian/rules: Add dh_makeshlibs -n to make lintian happy.
  * debian/patches/03-libbotan1.8.patch:
    - Link against libbotan-1.8 (LP: #562605).
  * Switch to debian 3.0 (quilt) source format.
  * debian/control:
    - Bump Standards.
    - Set DM-Upload-Allowed to yes.
    - Adjust debhelper buil-dep to ease backporters' life.
  * Move packaging to collab-maint's git area.
  * debian/changelog: Add Ubuntu entries.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 28 Apr 2010 22:27:32 +0200

keysafe (0.4.0.2-1ubuntu2) lucid; urgency=low

  * Link against libbotan-1.8 (LP: #562605).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 26 Apr 2010 17:23:44 +0200

keysafe (0.4.0.2-1ubuntu1) lucid; urgency=low

  * Re-sync with debian.
  * Add dh_makeshlibs -n to make lintian happy.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 11 Dec 2009 17:24:12 +0100

keysafe (0.4.0.2-1) unstable; urgency=low

  * New upstream release.
  * Adopting this (Closes: #541644).
  * Drop cdbs, switch to debhelper 7.
  * debian/control:
    - Replace dependency on python-glade2 with python-{gobject,gtk2};
      Libglade -> GtkBuilder transition.
    - Bump python-support build-dependency according to Python new policy.
  * debian/watch: Adjustments to make it working again.
  * Add quilt support.
  * debian/patches/01-fix_shebangs.patch:
    - Fix python scripts' shebangs.
  * debian/patches/02-libbost_python.patch:
    - Fix building issue related to libboost transition.
  * Update debian/copyright.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 03 Dec 2009 17:24:58 +0100

keysafe (0.4.0.1-0ubuntu2) karmic; urgency=low

  * No change rebuild for botan transition

 -- Scott Kitterman <scott@kitterman.com>  Wed, 07 Oct 2009 22:19:14 -0400

keysafe (0.4.0.1-0ubuntu1) karmic; urgency=low

  [ Artur Rona ]
  * New upstream release (LP: #377871).
  * Merge debian-dir from 0.4-1 (unstable):
    - Bump debhelper compat level to 7.
    - Bump Standard-Version to 3.8.0.
    - Build-Depends on libboost-python-dev, libbotan1.8-dev.
    - Drop Build-Depends-Indep.
  * debian/control: Add homepage.
  * debian/rules: Support simple-patchsys.
  * debian/patches/01_fix_lboost_python.patch: Link to lboost_python-mt.
  * debian/watch: Add for uscan.

  [ Kenneth E. Drake ]
  * debian/patches/02_python_26.patch: Fix for python 2.6
  * debian/rules: Fix issue with binary-post-install.

 -- Artur Rona <ari-tczew@tlen.pl>  Sat, 04 Jul 2009 11:46:03 +0200

keysafe (0.4-2) unstable; urgency=low

  * QA upload.
    - Set Maintainer to Debian QA Group.
  * Cyril's boost-related changes can be dropped, boost1.39 now provides
    compatibility symlinks to avoid generalized failures, see bug #541133.
  * debian/control:
    - Build-depend on cdbs (>= 0.4.49) and python-all-dev (>= 2.4).
    - Depend on python-gconf instead of python-gnome2 (Closes: #541585).
    - Add XS-Python-Version field.
    - Bump Standards-Version to 3.8.3.
    - Add Homepage field.
  * debian/copyright:
    - Replace (c) with ©, the latter has legal validity.
  * debian/watch:
    - Provide watch file.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 16 Sep 2009 11:53:53 +0000

keysafe (0.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with new boost (>= 1.37.0) by using the â-mtâ suffix for
    boost libraries since starting with this version, only this variant
    is available (Closes: #530466). Update Makefile.{am,in} accordingly.
  * Set urgency to âmediumâ since testing is affected too.
  * Fix bashisms in debian/rules (Closes: #535393).

 -- Cyril Brulebois <kibi@debian.org>  Sat, 18 Jul 2009 14:49:54 +0200

keysafe (0.4-1) unstable; urgency=low

  * New upstream release

 -- Magnus Therning <magnus@therning.org>  Fri, 20 Feb 2009 20:56:36 +0000

keysafe (0.3.5-4.1) unstable; urgency=low

  * Removing dependency on python2.4 packages.

 -- Magnus Therning <magnus@therning.org>  Mon, 04 Aug 2008 20:12:40 +0100

keysafe (0.3.5-3) unstable; urgency=low

  * Improving the copyright file.

 -- Magnus Therning <magnus@therning.org>  Wed, 12 Sep 2007 08:14:55 +0100

keysafe (0.3.5-2) unstable; urgency=low

  * Dealing with complaints from Lintian.

 -- Magnus Therning <magnus@therning.org>  Mon, 27 Aug 2007 23:00:09 +0100

keysafe (0.3.5-1) unstable; urgency=low

  * Initial release Closes: #437955

 -- Magnus Therning <magnus@therning.org>  Tue, 14 Aug 2007 23:10:54 +0100

=== debian/control ===
Source: keysafe
Section: gnome
Priority: optional
Maintainer: Alessio Treglia <quadrispro@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
 libboost-python-dev,
 libbotan1.8-dev,
 autotools-dev,
 python-all-dev (>= 2.5),
 python-gnome2-dev,
 python-support (>= 0.5.3)
DM-Upload-Allowed: yes
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/collab-maint/keysafe.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/keysafe.git
XS-Python-Version: >= 2.5
Homepage: http://therning.org/magnus/computer/keysafe

Package: keysafe
Architecture: any
Depends: ${python:Depends},
 ${shlibs:Depends},
 python-gtk2,
 python-gconf,
 python-gobject,
 python-crypto,
 ${misc:Depends}
Description: safe, simple storage system for passwords
 This package contains two tools for managing passwords:
  * keysafe - access your key safe
  * ksed - edit your key safe

=== debian/rules ===
#!/usr/bin/make -f

KEYSAFE_LIB_DIR = debian/keysafe/usr/lib/keysafe/libkeysafe

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	rm  $(KEYSAFE_LIB_DIR)/cryptobotan.a \
		$(KEYSAFE_LIB_DIR)/cryptobotan.la \
		$(KEYSAFE_LIB_DIR)/cryptobotan.so \
		$(KEYSAFE_LIB_DIR)/cryptobotan.so.0
	mv $(KEYSAFE_LIB_DIR)/cryptobotan.so.0.0.0 \
		$(KEYSAFE_LIB_DIR)/cryptobotan.so

override_dh_makeshlibs:
	dh_makeshlibs -n

=== debian/watch ===
version=3
http://therning.org/magnus_files/keysafe/keysafe-(.*)\.tar\.(?:bz2|gz)

## keysafe 0.20170303

=== debian/changelog ===
keysafe (0.20170303-1) experimental; urgency=medium

  * New upstream release.
  * Update libghc-raaz-dev dependency.
  * Fix broken /usr/share/doc symlinks, TODO -> TODO.gz.

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 29 Mar 2017 21:37:26 -0700

keysafe (0.20170122-1) experimental; urgency=medium

  * New upstream release.
  * Update Homepage: in d/control.
  * Update Source: in d/copyright.
  * Switch to dgit-maint-merge(7) workflow.
    - Add d/source/options
    - Add d/source/patch-header

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 25 Jan 2017 08:17:39 -0700

keysafe (0.20161107-1) experimental; urgency=medium

  * New upstream release.

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 29 Nov 2016 19:55:39 -0700

keysafe (0.20161022-2) experimental; urgency=medium

  * keysafe-bin no longer recommends zenity.
  * keysafe now depends on tor (Closes: #843522).
  * Bump build-dependencies on libghc-servant-*
  * Add bump-deps-to-GHC-8.0.1-LTS-Haskell-7.8.patch
  * Refresh use-_keysafe.patch

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 29 Nov 2016 17:49:49 -0700

keysafe (0.20161022-1) experimental; urgency=medium

  * Initial release (Closes: #834869).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 23 Oct 2016 13:39:53 -0700

=== debian/control ===
Source: keysafe
Maintainer: Sean Whitton <spwhitton@spwhitton.name>
Priority: optional
Section: utils
Build-Depends: debhelper (>= 10),
 ghc,
 libghc-argon2-dev (>= 1.2),
 libghc-argon2-dev (<< 1.3),
 libghc-monadrandom-dev (>= 0.4),
 libghc-monadrandom-dev (<< 0.5),
 libghc-safesemaphore-dev (>= 0.10),
 libghc-safesemaphore-dev (<< 0.11),
 libghc-aeson-dev (>= 0.11),
 libghc-aeson-dev (<< 0.12),
 libghc-async-dev (>= 2.1),
 libghc-async-dev (<< 2.2),
 libghc-bloomfilter-dev (>= 2.0),
 libghc-bloomfilter-dev (<< 2.1),
 libghc-disk-free-space-dev (>= 0.1),
 libghc-disk-free-space-dev (<< 0.2),
 libghc-exceptions-dev (>= 0.8),
 libghc-exceptions-dev (<< 0.9),
 libghc-fast-logger-dev (>= 2.4),
 libghc-fast-logger-dev (<< 2.5),
 libghc-http-client-dev (>= 0.4),
 libghc-http-client-dev (<< 0.5),
 libghc-lifted-base-dev (>= 0.2),
 libghc-lifted-base-dev (<< 0.3),
 libghc-network-dev (>= 2.6),
 libghc-network-dev (<< 2.7),
 libghc-optparse-applicative-dev (>= 0.12),
 libghc-optparse-applicative-dev (<< 0.13),
 libghc-raaz-dev (>= 0.1.1),
 libghc-raaz-dev (<< 0.1.1+~),
 libghc-random-dev (>= 1.1),
 libghc-random-dev (<< 1.2),
 libghc-random-shuffle-dev (>= 0.0),
 libghc-random-shuffle-dev (<< 0.1),
 libghc-readline-dev (>= 1.0),
 libghc-readline-dev (<< 1.1),
 libghc-secret-sharing-dev (>= 1.0),
 libghc-secret-sharing-dev (<< 1.1),
 libghc-servant-dev (>= 0.8),
 libghc-servant-dev (<< 0.9),
 libghc-servant-client-dev (>= 0.8),
 libghc-servant-client-dev (<< 0.9),
 libghc-servant-server-dev (>= 0.8),
 libghc-servant-server-dev (<< 0.9),
 libghc-socks-dev (>= 0.5),
 libghc-socks-dev (<< 0.6),
 libghc-split-dev (>= 0.2),
 libghc-split-dev (<< 0.3),
 libghc-stm-dev (>= 2.4),
 libghc-stm-dev (<< 2.5),
 libghc-text-dev (>= 1.2),
 libghc-text-dev (<< 1.3),
 libghc-token-bucket-dev (>= 0.1),
 libghc-token-bucket-dev (<< 0.2),
 libghc-unbounded-delays-dev (>= 0.1),
 libghc-unbounded-delays-dev (<< 0.2),
 libghc-unix-compat-dev (>= 0.4),
 libghc-unix-compat-dev (<< 0.5),
 libghc-utf8-string-dev (>= 1.0),
 libghc-utf8-string-dev (<< 1.1),
 libghc-wai-dev (>= 3.2),
 libghc-wai-dev (<< 3.3),
 libghc-warp-dev (>= 3.2),
 libghc-warp-dev (<< 3.3),
 libghc-zxcvbn-c-dev (>= 1.0),
 libghc-zxcvbn-c-dev (<< 1.1),
Standards-Version: 3.9.8
Homepage: https://keysafe.branchable.com/
Vcs-Git: https://git.spwhitton.name/keysafe
Vcs-Browser: https://git.spwhitton.name/keysafe

Package: keysafe-bin
Architecture: any
Section: misc
Depends: ${shlibs:Depends},
 ${misc:Depends},
Suggests: git-annex,
Description: keysafe's shared, architecture-dependent files
 This package contains the keysafe binary.  Keysafe is a program to
 back up your secret encryption keys, such as OpenPGP/GPG private
 keys, to cloud servers.
 .
 Instead of installing this package directly, you should install
 either keysafe or keysafe-server.  See those packages for a full
 description of Keysafe.

Package: keysafe
Architecture: all
Section: misc
Depends: ${misc:Depends},
 keysafe-bin,
# we require a hard dependency on zenity due to keysafe.autostart
 zenity,
 tor,
Enhances: git-annex, propellor
Description: securely back up secret keys to cloud servers
 Keysafe is a program to back up your secret encryption keys, such as
 OpenPGP/GPG private keys, to cloud servers.  Keys are split up into
 several shards, only one of which is sent to each cloud server.  This
 way, it is impossible for any one server to access the whole secret
 key by itself.
 .
 A password is used to encrypt the shards.  Keysafe's design ensures
 that it is infeasibly expensive to crack the password.
 .
 This package should be installed by desktop users.  To set up a
 Keysafe server, you should install keysafe-server.

Package: keysafe-server
Architecture: all
Section: misc
Depends: ${misc:Depends},
 keysafe-bin,
 lsb-base (>= 3.0-6),
 adduser,
Description: run a keysafe cloud server
 Keysafe is a program to back up your secret encryption keys, such as
 OpenPGP/GPG private keys, to cloud servers.  Keys are split up into
 several shards, only one of which is sent to each cloud server.  This
 way, it is impossible for any one server to access the whole secret
 key by itself.
 .
 A password is used to encrypt the shards.  Keysafe's design ensures
 that it is infeasibly expensive to crack the password.
 .
 This package sets up a Keysafe server.  If you want to use Keysafe to
 back up your keys, you should install the keysafe package instead.

=== debian/rules ===
#!/usr/bin/make -f

# Debian's ghc cannot compile anything with -fPIC at present, so we
# have to disable PIE hardening to avoid build failures on archs like
# amd64.  See discussion on debian-haskell@lists.debian.org
export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie

# cabal likes to write to $HOME, so use Setup.hs directly
export BUILDER = ./Setup

# -j1 in the hope of making the build reproducible (see Makefile)
export BUILDEROPTIONS = -j1

%:
	dh $@

# Temporarily disable tests until upstream adds a spinner/progress
# indicator.  Otherwise sbuild will time out on some archs
# override_dh_auto_test:
# 	./keysafe --test

# upstream's install-files target is not sufficient for our split into
# three binary packages, so disable it here and use dh_* tools
override_dh_auto_install:

# GHC cannot produce debugging symbols
override_dh_strip:
	dh_strip --no-automatic-dbgsym

# ensure service name is 'keysafe' not 'keysafe-server'.  This is so
# we are consistent with other distros despite our package split (see
# INSTALL)
override_dh_installinit:
	dh_installinit --name=keysafe

=== debian/tests/control ===
Test-Command: keysafe --test
Depends: @

=== debian/watch ===
version=3
http://hackage.haskell.org/package/keysafe/distro-monitor .*-([0-9\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## keysafe 0.20200214

=== debian/changelog ===
keysafe (0.20200214-1) experimental; urgency=medium

  * New upstream release.
    - Bump build-dep bounds.
    - Add text-short build-dep.
  * Drop symlinks to TODO, which is no longer provided by upstream
    (Closes: #877205).
    Thanks, Andreas Beckmann.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 17 Feb 2020 09:35:02 -0700

keysafe (0.20170811-1) experimental; urgency=medium

  * New upstream release.
  * Bump std-ver to 4.0.1 (no changes required).

 -- Sean Whitton <spwhitton@spwhitton.name>  Wed, 16 Aug 2017 12:33:09 -0700

=== debian/control ===
--- 
+++ 
@@ -4,62 +4,64 @@
 Section: utils
 Build-Depends: debhelper (>= 10),
  ghc,
- libghc-argon2-dev (>= 1.2),
- libghc-argon2-dev (<< 1.3),
+ libghc-argon2-dev (>= 1.3),
+ libghc-argon2-dev (<< 1.4),
  libghc-monadrandom-dev (>= 0.4),
- libghc-monadrandom-dev (<< 0.5),
+ libghc-monadrandom-dev (<< 0.6),
  libghc-safesemaphore-dev (>= 0.10),
  libghc-safesemaphore-dev (<< 0.11),
  libghc-aeson-dev (>= 0.11),
- libghc-aeson-dev (<< 0.12),
- libghc-async-dev (>= 2.1),
- libghc-async-dev (<< 2.2),
+ libghc-aeson-dev (<< 1.5),
+ libghc-async-dev (>= 2.2),
+ libghc-async-dev (<< 2.3),
  libghc-bloomfilter-dev (>= 2.0),
  libghc-bloomfilter-dev (<< 2.1),
  libghc-disk-free-space-dev (>= 0.1),
  libghc-disk-free-space-dev (<< 0.2),
- libghc-exceptions-dev (>= 0.8),
- libghc-exceptions-dev (<< 0.9),
+ libghc-exceptions-dev (>= 0.10),
+ libghc-exceptions-dev (<< 0.11),
  libghc-fast-logger-dev (>= 2.4),
  libghc-fast-logger-dev (<< 2.5),
  libghc-http-client-dev (>= 0.4),
- libghc-http-client-dev (<< 0.5),
+ libghc-http-client-dev (<< 0.7),
  libghc-lifted-base-dev (>= 0.2),
  libghc-lifted-base-dev (<< 0.3),
- libghc-network-dev (>= 2.6),
- libghc-network-dev (<< 2.7),
+ libghc-network-dev (>= 2.8),
+ libghc-network-dev (<< 2.9),
  libghc-optparse-applicative-dev (>= 0.12),
- libghc-optparse-applicative-dev (<< 0.13),
- libghc-raaz-dev (>= 0.1.1),
- libghc-raaz-dev (<< 0.1.1+~),
+ libghc-optparse-applicative-dev (<< 0.16),
+ libghc-raaz-dev (>= 0.2.1),
+ libghc-raaz-dev (<< 0.2.1+~),
  libghc-random-dev (>= 1.1),
  libghc-random-dev (<< 1.2),
  libghc-random-shuffle-dev (>= 0.0),
  libghc-random-shuffle-dev (<< 0.1),
  libghc-readline-dev (>= 1.0),
  libghc-readline-dev (<< 1.1),
- libghc-secret-sharing-dev (>= 1.0),
- libghc-secret-sharing-dev (<< 1.1),
- libghc-servant-dev (>= 0.8),
- libghc-servant-dev (<< 0.9),
- libghc-servant-client-dev (>= 0.8),
- libghc-servant-client-dev (<< 0.9),
- libghc-servant-server-dev (>= 0.8),
- libghc-servant-server-dev (<< 0.9),
+ libghc-secret-sharing-dev (>= 1.0.1.0),
+ libghc-secret-sharing-dev (<< 1.0.1.1),
+ libghc-servant-dev (>= 0.7),
+ libghc-servant-dev (<< 0.18),
+ libghc-servant-client-dev (>= 0.7),
+ libghc-servant-client-dev (<< 0.18),
+ libghc-servant-server-dev (>= 0.7),
+ libghc-servant-server-dev (<< 0.18),
  libghc-socks-dev (>= 0.5),
  libghc-socks-dev (<< 0.6),
  libghc-split-dev (>= 0.2),
  libghc-split-dev (<< 0.3),
- libghc-stm-dev (>= 2.4),
- libghc-stm-dev (<< 2.5),
+ libghc-stm-dev (>= 2.5),
+ libghc-stm-dev (<< 2.6),
  libghc-text-dev (>= 1.2),
  libghc-text-dev (<< 1.3),
+ libghc-text-short-dev (>= 0.1),
+ libghc-text-short-dev (<< 0.2),
  libghc-token-bucket-dev (>= 0.1),
  libghc-token-bucket-dev (<< 0.2),
  libghc-unbounded-delays-dev (>= 0.1),
  libghc-unbounded-delays-dev (<< 0.2),
  libghc-unix-compat-dev (>= 0.4),
- libghc-unix-compat-dev (<< 0.5),
+ libghc-unix-compat-dev (<< 0.6),
  libghc-utf8-string-dev (>= 1.0),
  libghc-utf8-string-dev (<< 1.1),
  libghc-wai-dev (>= 3.2),
@@ -68,7 +70,7 @@
  libghc-warp-dev (<< 3.3),
  libghc-zxcvbn-c-dev (>= 1.0),
  libghc-zxcvbn-c-dev (<< 1.1),
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: https://keysafe.branchable.com/
 Vcs-Git: https://git.spwhitton.name/keysafe
 Vcs-Browser: https://git.spwhitton.name/keysafe
